# WriteIter in embedded_hal::blocking::spi - Rust
Blocking write (iterator version)
Keywords: rust, rustlang, rust-lang, WriteIter

# Trait embedded_hal::blocking::spi::WriteIter

source · [−]

    pub trait WriteIter<W> {
        type Error;
        fn try_write_iter<WI>(&mut self, words: WI) -> Result<(), Self::Error>
        where
            WI: IntoIterator<Item = W>;
    }

Expand description

Blocking write (iterator version)

## Associated Types

source

#### type Error

Error type

## Required methods

source

#### fn try_write_iter<WI>(&mut self, words: WI) -> Result<(), Self::Error> where
WI: IntoIterator<Item = W>,

Sends `words` to the slave, ignoring all the incoming words

## Implementors

source

### impl<W, S> WriteIter<W> for S where
S: Default<W>,
W: Clone,

#### type Error = S::Error